<?php
if ( function_exists('register_sidebar') )
register_sidebar(array(
	'before_widget' => '',
	'before_title' => '<div class="sidebar-head"><div class="sidebar-header">',
	'after_title' => '</div></div><div class="sidebar-module">',
	'after_widget' => '</div><div class="sidebar-footer"></div>',
));



function wpmu_burger_menu_scripts() {
	
	wp_enqueue_script( 'burger-menu-script', get_stylesheet_directory_uri() . '/scripts/burger-menu.js', array( 'jquery' ) );
 
}
add_action( 'wp_enqueue_scripts', 'wpmu_burger_menu_scripts' );

add_action( 'init', 'process_post' );
 
function process_post() {
     if( isset( $_POST['unique_hidden_field'] ) ) {
          // process $_POST data here
     }
}

//WP Cron hook
add_action('sm_build_cron', array('GoogleSitemapGeneratorLoader', 'CallBuildSitemap'),1,0);

function CallBuildSitemap() {  
    if(GoogleSitemapGeneratorLoader::LoadPlugin()) {  
        $gs = &GoogleSitemapGenerator::GetInstance();  
        $gs->BuildSitemap();
    }
}

add_action( 'widgets_init', 'mytheme_widgets_init' );

function
wpb_add_google_fonts() {
wp_enqueue_style(
'wpb-google-fonts'
,
'https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,700italic,400,700,300'
, false );
}
add_action(
'wp_enqueue_scripts'
,
'wpb_add_google_fonts'
);

register_sidebar(array(
'name' => 'Footer Widget 1',
'id'        => 'footer-1',
'description' => 'First footer widget area',
'before_widget' => '<div id="footer-widget1">',
'after_widget' => '</div>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

add_action( 'widgets_init', 'theme_widgets_init' );
	
add_theme_support( 'post-thumbnails' ); 

add_theme_support( 'automatic-feed-links' );

add_action( 'widgets_init', 'arphabet_widgets_init' );


// MENUS
	register_nav_menus( array(
		'main'	=> __('Primary Menu', 'estrelladesign_custom7'),
	) );

add_action( 'init', 'register_my_menus' );

add_action( 'widgets_init', 'arphabet_widgets_init' );

function wp_pagination() {
global $wp_query;
$big = 999999999;
$page_format = paginate_links( array(
    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
    'format' => '?paged=%#%',
    'current' => max( 1, get_query_var('paged') ),
    'total' => $wp_query->max_num_pages,
    'type'  => 'array'
) );
if( is_array($page_format) ) {
            $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
            echo "<div class='pagination'>";
            foreach ( $page_format as $page ) {
                    echo "$page";
            }
           echo "</div>\n";
}
}

?>